- HTTP request
- Path parameters
- Request body
- Response body
- Authorization scopes
- UpdateMemberRequest
- Try it!
Updates members of one space within a batch.
HTTP request
POST https://meet.googleapis.com/v2/{parent=spaces/*}/members:batchUpdate
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
parent |
Required. The parent resource shared by all Members being updated. Format: spaces/{space} |
Request body
The request body contains data with the following structure:
| JSON representation |
|---|
{
"requests": [
{
object ( |
| Fields | |
|---|---|
requests[] |
Required. The request message specifying the resources to update. A maximum of 500 members can be modified in a batch. |
updateMask |
Optional. Top-level field mask used to specify the fields to be updated in the member for all UpdateMemberRequests. There are 4 possible scenarios for top-level and child field mask: 1. top-level and child field mask is absent: All fields provided in the requests are updated, including deleting fields not set in the requests. 2. top-level field mask is present but child field mask is absent: The fields specified in the top-level field mask are updated. 3. top-level and child field mask is present: The child field mask must be the same as the top-level field mask. 4. top-level field mask is absent but child field mask is present: It isn't supported and will return an error. |
Response body
Response of batch update members.
If successful, the response body contains data with the following structure:
| JSON representation |
|---|
{
"members": [
{
object ( |
| Fields | |
|---|---|
members[] |
Members updated. |
Authorization scopes
Requires the following OAuth scope:
https://www.googleapis.com/auth/meetings.space.created
For more information, see the Authorization guide.
UpdateMemberRequest
Request to update a member.
| JSON representation |
|---|
{
"member": {
object ( |
| Fields | |
|---|---|
member |
Required. The Member to update. Format: spaces/{space}/members/{member} |
updateMask |
Optional. Field mask used to specify the fields to be updated in the member. If updateMask isn't provided(not set, set with empty paths, or only has "" as paths), it defaults to update all fields provided with values in the request. Using "*" as updateMask will update all fields, including deleting fields not set in the request. In case of BatchUpdate, it must be absent or the same as the updateMask in BatchUpdateMembersRequest when UpdateMemberRequest is built as a child request of BatchUpdateMembersRequest. |